import 'package:json_annotation/json_annotation.dart';

part 'set_article_amount_request.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class SetArticleAmountRequestDTO {
  SetArticleAmountRequestDTO({
    required this.articleId,
    required this.deliveryId,
    required this.amount,
    this.reason
  });

  String deliveryId;
  int amount;
  String articleId;
  String? reason;

  factory SetArticleAmountRequestDTO.fromJson(Map<String, dynamic> json) =>
      _$SetArticleAmountRequestDTOFromJson(json);

  Map<dynamic, dynamic> toJson() => _$SetArticleAmountRequestDTOToJson(this);
}
